org.springframework.data.domain.jaxb

## Class SortAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<SpringDataJaxb.SortDto,Sort>
  - - org.springframework.data.domain.jaxb.SortAdapter

    public class SortAdapter
    extends XmlAdapter<SpringDataJaxb.SortDto,Sort>

`XmlAdapter` to convert `Sort` instances into `SpringDataJaxb.SortDto` instances and vice versa.

Author:
  Oliver Gierke

### Field Summary

Fields
`static SortAdapter` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`SortAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SpringDataJaxb.SortDto` `marshal(Sort source)`
`Sort` `unmarshal(SpringDataJaxb.SortDto source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final SortAdapter INSTANCE

### Constructor Detail

#### SortAdapter

    public SortAdapter()

### Method Detail

#### marshal

    @Nullable
    public SpringDataJaxb.SortDto marshal(@Nullable
                                                    Sort source)

Specified by:
  `marshal` in class `XmlAdapter<SpringDataJaxb.SortDto,Sort>`

#### unmarshal

    @Nonnull
    public Sort unmarshal(@Nullable
                                   SpringDataJaxb.SortDto source)

Specified by:
  `unmarshal` in class `XmlAdapter<SpringDataJaxb.SortDto,Sort>`